Home > 열린마당 > 공개SW 소식

공개SW 소식

2014년 05월 15일 (목)

ⓒ 지디넷코리아, 손경호 기자 sontech@zdnet.co.kr



리눅스 운영체제(OS) 환경에서 관리자 권한을 획득해 마음대로 프로그램을 돌리거나 장애를 초래할 수 있는 취약점이 발견돼 레드햇, 우분투 등 리눅스 배포회사들이 패치에 나섰다.

15일(현지시간) 미국 지디넷 등 외신에 따르면 레드햇, 우분투, 데비안 등으로 시스템을 구축했을 경우 리눅스 커널 3.14.3 버전이 취약점에 영향을 받을 수 있어 패치를 해야 한다.

문제가 된 취약점(CVE-2014-0196)은 메모리 해킹 수법 중 하나로 리눅스 커널 내에 'n_tty_wirte function' 기능을 구동하는 과정에서 발생한 취약점이다.

▲ 리눅스 커널에서 보안취약점이 발견돼 리눅스 배포업체들이 패치에 나섰다

미국 침해사고대응팀(US-CERT)에 따르면 해당 취약점은 리눅스 커널 3.14.3 버전에서 tty 드라이버가 'LEECHO @ !OPOST'에 접속하지 못하도록 방해한다.

이를 통해 시스템에 정상적으로 접속하기 어렵도록 서비스 거부(DoS) 공격을 초래하거나 관리자 권한을 획득해 추가적인 악성코드 유포 등 공격을 시도할 수 있다.

아스테크니카에 따르면 보안회사 아지무스 시큐리티 댄 로젠버그 선임연구원은 "이 취약점은 리눅스 커널 2.6.31 이상 버전에서 광범위하게 영향을 미칠 수 있다"고 설명했다.

현재 레드햇은 레드햇 엔터프라이즈 리눅스(RHEL) 6와 레드햇 엔터프라이즈 MRG2에서 해당 취약점이 악용될 수 있다는 점을 파악해 수정작업을 진행 중이다. 데비안, 우분투 역시 패치를 배포했다.



※ 본 내용은 (주)메가뉴스(http://www.zdnet.co.kr)의 저작권 동의에 의해 공유되고 있습니다.
Copyright ⓒ 지디넷코리아. 무단전재 및 재배포 금지


[원문출처 : http://www.zdnet.co.kr/news/news_view.asp?artice_id=20140515101433]

맨 위로
맨 위로